<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="FLASH-PAGE">
		<script type="text/javascript" src="/modules/FlashIntro/js/settings.js?{$version}.{$build}"></script>
		<input type="hidden" id="{@INPUT-NAME}" name="{@INPUT-NAME}" value="{TAB-PANEL/TAB-PANEL-CARD/SETTINGS/TOOLBAR[@ID='designs']/TOOLBAR-FIELD/PREVIEW/FLASH-CONTROL[@SELECTED='yes']/@CODE}"/>
		<script type="text/javascript" language="javascript">
			<xsl:comment>
				window.sbFlashListObject = new SbFlashList('<xsl:value-of select="@INPUT-NAME"/>');
			//</xsl:comment>
		</script>
		<xsl:apply-templates select="TAB-PANEL"/>
	</xsl:template>

	<xsl:template match="FLASH-PAGE/TAB-PANEL/TAB-PANEL-CARD/SETTINGS">
		<xsl:apply-templates select="TOOLBAR[@ID='designs']"/>
		<xsl:apply-templates select="TOOLBAR[@ID='settings']"/>
		<xsl:apply-templates select="TOOLBAR[@ID='preview']"/>
	</xsl:template>

	<xsl:template match="TOOLBAR/TOOLBAR-FIELD">
		<xsl:apply-templates/>
	</xsl:template>

	<xsl:template match="TOOLBAR[@ID='designs']/TOOLBAR-FIELD/PREVIEW">
		<span style="display:inline-block;width:100%;">
			<script type="text/javascript" language="javascript">
				<xsl:comment>
					var item;
					<xsl:apply-templates select="FLASH-CONTROL" mode="init"/>
				//</xsl:comment>
			</script>
			<xsl:apply-templates select="FLASH-CONTROL"/>
		</span>
	</xsl:template>
	
	<xsl:template match="FLASH-CONTROL" mode="init">
		item = new SbFlashItem('<xsl:value-of select="@CODE"/>');
		<xsl:apply-templates select="BACKGROUND" mode="init"/>
		<xsl:apply-templates select="SCHEME" mode="init"/>
		item.SetBinaryUrl('<xsl:value-of select="BINARY/@VALUE"/>');
		window.sbFlashListObject.AddFlash(item);
	</xsl:template>

	<xsl:template match="FLASH-CONTROL/BACKGROUND" mode="init">
		item.AddBackground('<xsl:value-of select="@CODE"/>', '<xsl:value-of select="@TITLE"/>');
	</xsl:template>

	<xsl:template match="FLASH-CONTROL/SCHEME" mode="init">
		item.AddScheme('<xsl:value-of select="@CODE"/>', '<xsl:value-of select="@TITLE"/>');
	</xsl:template>

	<xsl:template match="FLASH-CONTROL" name="FLASH-CONTROL">
		<span style="float: left; width: 112px;">
			<div id="Flash{@CODE}Border" style="padding: 5px; background-color: #ffffff; border: solid 1px #ffffff;">
				<input type="image" name="{@CODE}" src="{@SOURCE}" onclick="window.sbFlashListObject.Select('{@CODE}'); return false;" style="width:100px;border-width:0px;" />
			</div>
		</span>
	</xsl:template>

	<xsl:template match="FLASH-CONTROL[@SELECTED='yes']">
		<xsl:call-template name="FLASH-CONTROL"/>
		<script type="text/javascript" language="javascript">
			<xsl:comment>
				window.sbFlashListObject.Init('<xsl:value-of select="@CODE"/>');
			//</xsl:comment>
		</script>
	</xsl:template>

	<xsl:template match="TOOLBAR[@ID='settings']/TOOLBAR-FIELD/SETTINGS">
		<table cellspacing="0" border="0" style="border-collapse:collapse;width:100%;">
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='header_text']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
						<xsl:with-param name="controlStyle">padding-left: 5px; margin-left: 4px;</xsl:with-param>
						<xsl:with-param name="maxLength">255</xsl:with-param>
						<xsl:with-param name="onChange">top.sbApplyChangesObject.registerChange();</xsl:with-param>
						<xsl:with-param name="onBlur">window.sbFlashListObject.ShowCurrentFlash();</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='body_text']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
						<xsl:with-param name="controlStyle">padding-left: 5px; margin-left: 4px;</xsl:with-param>
						<xsl:with-param name="maxLength">255</xsl:with-param>
						<xsl:with-param name="onChange">top.sbApplyChangesObject.registerChange();</xsl:with-param>
						<xsl:with-param name="onBlur">window.sbFlashListObject.ShowCurrentFlash();</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='flash_background']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
						<xsl:with-param name="controlStyle">padding-left: 0px; margin-left: 4px;</xsl:with-param>
						<xsl:with-param name="onChange">window.sbFlashListObject.ShowCurrentFlash(); top.sbApplyChangesObject.registerChange();</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='flash_scheme']" mode="TITLE-LEFT">
						<xsl:with-param name="controlClass">SB_Control_Input_Input</xsl:with-param>
						<xsl:with-param name="controlStyle">padding-left: 0px; margin-left: 4px;</xsl:with-param>
						<xsl:with-param name="onChange">window.sbFlashListObject.ShowCurrentFlash(); top.sbApplyChangesObject.registerChange();</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
			<tr>
				<td>
					<xsl:apply-templates select="CONTROL[@NAME='show_in_navigation']" mode="TITLE-LEFT">
						<xsl:with-param name="onChange">top.sbApplyChangesObject.registerChange();</xsl:with-param>
						<xsl:with-param name="checked"><xsl:value-of select="CONTROL[@NAME='show_in_navigation']/@CHECKED"/></xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
		</table>
	</xsl:template>
	
	<xsl:template match="TOOLBAR[@ID='preview']/TOOLBAR-FIELD/FLASH">
		<div id="{@ID}Container"/>
		<script type="text/javascript" language="javascript">
			<xsl:comment>
				window.sbFlashListObject.InitCurrentFlash('<xsl:value-of select="@ID"/>');
			//</xsl:comment>
		</script>
	</xsl:template>

</xsl:stylesheet>	